GET
/
v1
/
automations
List automations
curl --request GET \
  --url https://platform.jobbit.uk/v1/automations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://platform.jobbit.uk/v1/automations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://platform.jobbit.uk/v1/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.jobbit.uk/v1/automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://platform.jobbit.uk/v1/automations"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://platform.jobbit.uk/v1/automations")
.header("Authorization", "Bearer <token>")
.asString();
require 'uri'
require 'net/http'

url = URI("https://platform.jobbit.uk/v1/automations")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
{
  "items": [
    {
      "id": "2d9c6a40-7e18-4b3f-a5d2-61f08b4c9e37",
      "owner_id": "7b0e2c4a-1d3f-4c8e-9a52-6f1d0e8b3a77",
      "name": "Weekly booking summary",
      "slug": "weekly-bookings",
      "enabled": true,
      "published_version_id": "88e1d5b2-43a7-4c06-9f3e-b7a0c2d41e59",
      "paused_reason": null,
      "paused_at": null,
      "pause_after_failures": 5,
      "description": "Emails Kent Physio a summary of the week's bookings every Monday.",
      "description_by_you": false,
      "notify": {
        "failures": true,
        "needs_you": true,
        "every_run": false
      },
      "monthly_limit_usd": 3,
      "monthly_limit_credits": 1000,
      "full_automation": false,
      "service_limits": {},
      "service_limits_credits": {},
      "created_at": "2026-10-12T09:30:00+00:00",
      "project_id": null,
      "role": "owner",
      "state": "active",
      "attention": [],
      "missing_secrets": [],
      "missing_accounts": [],
      "running": false,
      "summary": {
        "automation_id": "2d9c6a40-7e18-4b3f-a5d2-61f08b4c9e37",
        "last_execution_id": "f60b3c91-0a2d-4e75-8b1c-d49e27a5c308",
        "last_status": "succeeded",
        "last_reason": "completed",
        "last_error": null,
        "last_created_at": "2026-11-02T08:00:00+00:00",
        "last_finished_at": "2026-11-02T08:00:41+00:00",
        "running": 0,
        "waiting": 0,
        "working": 0,
        "runs_24h": 0,
        "runs_30d": 4,
        "failed_in_row": 0,
        "cost_30d_usd": 0.084,
        "cost_30d_credits": 28,
        "average_run_credits": 7,
        "next_run_at": "2026-11-09T08:00:00+00:00",
        "questions": 0,
        "approvals": 0,
        "latest_version_id": "88e1d5b2-43a7-4c06-9f3e-b7a0c2d41e59",
        "latest_version_status": "published",
        "recent": [
          "succeeded",
          "succeeded",
          "succeeded",
          "succeeded"
        ]
      },
      "triggers": [
        {
          "type": "schedule",
          "id": "weekly",
          "cron": "0 8 * * 1",
          "timezone": "Europe/London"
        }
      ]
    }
  ],
  "total": 1,
  "all_count": 1,
  "needs_count": 0,
  "spent_30d_credits": 28,
  "in_projects": false
}
{
"error": {
"code": "invalid_key",
"message": "the API key is missing or invalid",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "insufficient_scope",
"message": "this key does not have the deploy:write permission",
"details": {
"required": "deploy:write"
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "invalid_request",
"message": "the request is not valid",
"details": [
{
"location": [
"body",
"name"
],
"message": "String should match pattern '^[a-z0-9][a-z0-9-]*$'",
"type": "string_pattern_mismatch"
}
],
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}
{
"error": {
"code": "rate_limited",
"message": "too many read requests, retry in 4 s",
"details": {
"group": "read",
"limit": 120,
"window_seconds": 60
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}

Authorizations

Authorization
string
header
required

An API key from Settings → API keys, sent as Authorization: Bearer jb_live_…

Query Parameters

project_id
string

Only automations in this project.

Maximum string length: 64
state
enum<string>

Only automations in this state.

Available options:
draft,
attention,
paused,
active

Text to look for in names and descriptions.

Maximum string length: 200
tab
enum<string>

needs for automations that need the person, paused for paused ones.

Available options:
,
all,
needs,
paused
status
enum<string>

Only automations with this status.

Available options:
,
running,
active,
paused,
draft,
failing
project
string

A project id, or personal for automations in no project.

Maximum string length: 64
starts
string

Only automations started by this trigger type, such as schedule.

Maximum string length: 32
last
enum<string>

Only automations whose latest run ended this way, or never for no runs.

Available options:
,
succeeded,
failed,
never
sort
enum<string>

How to order the list.

Available options:
needs,
last_run,
next_run,
name,
spending
order
enum<string>

reverse flips the order.

Available options:
,
reverse
page
integer

Return this page. Leave out to get everything.

Required range: x >= 1
page_size
integer
default:30

Automations per page.

Required range: 1 <= x <= 100

Response

The automations.

items
object[]
required

The automations.

total
integer
required

How many match.

all_count
integer

How many there are before filtering.

needs_count
integer

How many need the person.

spent_30d_credits
number

Credits spent over 30 days.

in_projects
boolean

Whether any automation is in a project.

page
integer

The page, when paged.

page_size
integer

The page size, when paged.

has_more
boolean

Whether another page follows, when paged.